# IUserWithdrawManager

[Git Source](https://github.com/Ion-Protocol/nucleus-boring-vault/blob/cc0b494b83e17b9b169a73b96050d2810b690477/src/interfaces/IStaking.sol)

## Functions

### requestWithdraw

```solidity
function requestWithdraw(uint256 _ethXAmount, address _owner) external returns (uint256);
```

### claim

```solidity
function claim(uint256 _requestId) external;
```

### userWithdrawRequests

```solidity
function userWithdrawRequests(uint256) external view returns (WithdrawRequest memory);
```

### finalizeUserWithdrawalRequest

```solidity
function finalizeUserWithdrawalRequest() external;
```

## Structs

### WithdrawRequest

```solidity
struct WithdrawRequest {
    address owner;
    uint256 ethXAmount;
    uint256 ethExpected;
    uint256 ethFinalized;
    uint256 requestTime;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nucleusearn.io/nucleus-architecture/smart-contracts/contracts/interfaces/istaking/iuserwithdrawmanager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
